Index: /pykota/trunk/man/autopykota.1
===================================================================
--- /pykota/trunk/man/autopykota.1 (revision 1780)
+++ /pykota/trunk/man/autopykota.1 (revision 1784)
@@ -2,7 +2,7 @@
 .TH AUTOPYKOTA "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-autopykota \- manual page for autopykota 1.20alpha20_unofficial
+autopykota \- manual page for autopykota 1.20alpha21_unofficial
 .SH DESCRIPTION
-autopykota v1.20alpha20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+autopykota v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to automate user account creation and initial balance setting.
 .PP
Index: /pykota/trunk/man/edpykota.1
===================================================================
--- /pykota/trunk/man/edpykota.1 (revision 1758)
+++ /pykota/trunk/man/edpykota.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH EDPYKOTA "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH EDPYKOTA "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-edpykota \- manual page for edpykota 1.20alpha18_unofficial
+edpykota \- manual page for edpykota 1.20alpha21_unofficial
 .SH DESCRIPTION
-edpykota v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
Index: /pykota/trunk/man/pkprinters.1
===================================================================
--- /pykota/trunk/man/pkprinters.1 (revision 1758)
+++ /pykota/trunk/man/pkprinters.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PKPRINTERS "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKPRINTERS "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkprinters \- manual page for pkprinters 1.20alpha18_unofficial
+pkprinters \- manual page for pkprinters 1.20alpha21_unofficial
 .SH DESCRIPTION
-pkprinters v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
Index: /pykota/trunk/man/pykotme.1
===================================================================
--- /pykota/trunk/man/pykotme.1 (revision 1758)
+++ /pykota/trunk/man/pykotme.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PYKOTME "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOTME "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykotme \- manual page for pykotme 1.20alpha18_unofficial
+pykotme \- manual page for pykotme 1.20alpha21_unofficial
 .SH DESCRIPTION
-pykotme v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
Index: /pykota/trunk/man/pykosd.1
===================================================================
--- /pykota/trunk/man/pykosd.1 (revision 1758)
+++ /pykota/trunk/man/pykosd.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PYKOSD "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PYKOSD "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pykosd \- manual page for pykosd 1.20alpha18_unofficial
+pykosd \- manual page for pykosd 1.20alpha21_unofficial
 .SH DESCRIPTION
-pykosd v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
Index: /pykota/trunk/man/dumpykota.1
===================================================================
--- /pykota/trunk/man/dumpykota.1 (revision 1779)
+++ /pykota/trunk/man/dumpykota.1 (revision 1784)
@@ -2,7 +2,7 @@
 .TH DUMPYKOTA "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-dumpykota \- manual page for dumpykota 1.20alpha20_unofficial
+dumpykota \- manual page for dumpykota 1.20alpha21_unofficial
 .SH DESCRIPTION
-dumpykota v1.20alpha20_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+dumpykota v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Dumps PyKota database's content.
Index: /pykota/trunk/man/pkhint.1
===================================================================
--- /pykota/trunk/man/pkhint.1 (revision 1758)
+++ /pykota/trunk/man/pkhint.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH PKHINT "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH PKHINT "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-pkhint \- manual page for pkhint 1.20alpha18_unofficial
+pkhint \- manual page for pkhint 1.20alpha21_unofficial
 .SH DESCRIPTION
-pkhint v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: /pykota/trunk/man/repykota.1
===================================================================
--- /pykota/trunk/man/repykota.1 (revision 1758)
+++ /pykota/trunk/man/repykota.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH REPYKOTA "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH REPYKOTA "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-repykota \- manual page for repykota 1.20alpha18_unofficial
+repykota \- manual page for repykota 1.20alpha21_unofficial
 .SH DESCRIPTION
-repykota v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
@@ -51,7 +51,7 @@
 with "laser" or ends with "pson".
 .IP
-If launched by a non-root user, additionnal arguments representing
-users or groups names are ignored, and only the current user/group
-is reported.
+If launched by an user who is not a PyKota administrator, additionnal
+arguments representing users or groups names are ignored, and only the
+current user/group is reported.
 .PP
 This program is free software; you can redistribute it and/or modify
Index: /pykota/trunk/man/warnpykota.1
===================================================================
--- /pykota/trunk/man/warnpykota.1 (revision 1758)
+++ /pykota/trunk/man/warnpykota.1 (revision 1784)
@@ -1,8 +1,8 @@
 .\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.33.
-.TH WARNPYKOTA "1" "September 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
+.TH WARNPYKOTA "1" "October 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NAME
-warnpykota \- manual page for warnpykota 1.20alpha18_unofficial
+warnpykota \- manual page for warnpykota 1.20alpha21_unofficial
 .SH DESCRIPTION
-warnpykota v1.20alpha18_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.20alpha21_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.
@@ -56,7 +56,7 @@
 with "laserjet"
 .IP
-If launched by a non-root user, additionnal arguments representing
-users or groups names are ignored, and only the current user/group
-is warned.
+If launched by an user who is not a PyKota administrator, additionnal
+arguments representing users or groups names are ignored, and only the
+current user/group is reported.
 .PP
 This program is free software; you can redistribute it and/or modify