Index: pykota/trunk/bin/edpykota
===================================================================
--- pykota/trunk/bin/edpykota (revision 1789)
+++ pykota/trunk/bin/edpykota (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.79  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.78  2004/10/07 14:35:40  jalet
 # Now edpykota refuses to launch if the user is not a PyKota administrator.
@@ -280,9 +283,9 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
 
-__doc__ = """edpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""edpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 
@@ -456,5 +459,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 class EdPyKota(PyKotaTool) :        
Index: pykota/trunk/bin/pykotme
===================================================================
--- pykota/trunk/bin/pykotme (revision 1785)
+++ pykota/trunk/bin/pykotme (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.15  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.14  2004/10/06 10:05:47  jalet
 # Minor changes to allow any PyKota administrator to launch enhanced versions
@@ -82,10 +85,10 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
 from pykota.pdlanalyzer import PDLAnalyzer, PDLAnalyzerError
 
-__doc__ = """pykotme v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""pykotme v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 
 Gives print quotes to users.
@@ -128,5 +131,4 @@
   would cost on each printer.
 
-
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
@@ -143,5 +145,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
         
Index: pykota/trunk/bin/pkhint
===================================================================
--- pykota/trunk/bin/pkhint (revision 1740)
+++ pykota/trunk/bin/pkhint (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.18  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.17  2004/09/23 19:29:36  jalet
 # If SNMP accounting is possible, pkhint now suggests to use the internal
@@ -88,5 +91,5 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
@@ -98,5 +101,5 @@
     hasSNMP = 1
 
-__doc__ = """pkhint v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""pkhint v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 
@@ -135,5 +138,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 SNMPTESTS = [ \
Index: pykota/trunk/bin/repykota
===================================================================
--- pykota/trunk/bin/repykota (revision 1785)
+++ pykota/trunk/bin/repykota (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.51  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.50  2004/10/06 10:05:47  jalet
 # Minor changes to allow any PyKota administrator to launch enhanced versions
@@ -196,5 +199,5 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
@@ -202,5 +205,5 @@
 from pykota import reporter
 
-__doc__ = """repykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""repykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 
 Generates print quota reports.
@@ -261,5 +264,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 class RePyKota(PyKotaTool) :        
Index: pykota/trunk/bin/warnpykota
===================================================================
--- pykota/trunk/bin/warnpykota (revision 1785)
+++ pykota/trunk/bin/warnpykota (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.31  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.30  2004/10/06 10:05:47  jalet
 # Minor changes to allow any PyKota administrator to launch enhanced versions
@@ -128,9 +131,9 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
 
-__doc__ = """warnpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""warnpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 
 Sends mail to users over print quota.
@@ -193,5 +196,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 class WarnPyKota(PyKotaTool) :        
Index: pykota/trunk/bin/autopykota
===================================================================
--- pykota/trunk/bin/autopykota (revision 1780)
+++ pykota/trunk/bin/autopykota (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.4  2004/10/11 12:49:05  jalet
+# Renders help translatable
+#
 # Revision 1.3  2004/10/06 07:51:07  jalet
 # Now autopykota uses 0.0 as the default value for initial account balance
@@ -42,7 +45,7 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 
-__doc__ = """autopykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""autopykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to automate user account creation and initial balance setting.
 
@@ -79,5 +82,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
 
 class AutoPyKota(PyKotaTool) :
Index: pykota/trunk/bin/pkprinters
===================================================================
--- pykota/trunk/bin/pkprinters (revision 1605)
+++ pykota/trunk/bin/pkprinters (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.15  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.14  2004/07/19 22:37:13  jalet
 # pykosd is now a very good tool
@@ -75,7 +78,7 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
-
-__doc__ = """pkprinters v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
+
+__doc__ = N_("""pkprinters v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 
@@ -169,5 +172,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 class PKPrinters(PyKotaTool) :        
Index: pykota/trunk/bin/pykosd
===================================================================
--- pykota/trunk/bin/pykosd (revision 1785)
+++ pykota/trunk/bin/pykosd (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.9  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.8  2004/10/06 10:05:47  jalet
 # Minor changes to allow any PyKota administrator to launch enhanced versions
@@ -64,7 +67,7 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
-
-__doc__ = """pykosd v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
+
+__doc__ = N_("""pykosd v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 
@@ -117,5 +120,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
 
 
Index: pykota/trunk/bin/dumpykota
===================================================================
--- pykota/trunk/bin/dumpykota (revision 1790)
+++ pykota/trunk/bin/dumpykota (revision 1796)
@@ -24,4 +24,7 @@
 #
 # $Log$
+# Revision 1.13  2004/10/11 12:49:06  jalet
+# Renders help translatable
+#
 # Revision 1.12  2004/10/07 21:14:28  jalet
 # Hopefully final fix for data encoding to and from the database
@@ -82,9 +85,9 @@
 
 from pykota import version
-from pykota.tool import PyKotaTool, PyKotaToolError, crashed
+from pykota.tool import PyKotaTool, PyKotaToolError, crashed, N_
 from pykota.config import PyKotaConfigError
 from pykota.storage import PyKotaStorageError
 
-__doc__ = """dumpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+__doc__ = N_("""dumpykota v%s (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 
 Dumps PyKota database's content.
@@ -154,5 +157,5 @@
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 
-Please e-mail bugs to: %s""" % (version.__version__, version.__author__)
+Please e-mail bugs to: %s""") % (version.__version__, version.__author__)
         
 class DumPyKota(PyKotaTool) :        