Index: pykota/trunk/pykota/version.py
===================================================================
--- pykota/trunk/pykota/version.py (revision 1806)
+++ pykota/trunk/pykota/version.py (revision 1814)
@@ -22,5 +22,5 @@
 #
 
-__version__ = "1.20alpha24_unofficial"
+__version__ = "1.20alpha25_unofficial"
 
 __doc__ = """PyKota : a complete Printing Quota Solution for CUPS and LPRng."""
Index: pykota/trunk/bin/waitprinter.sh
===================================================================
--- pykota/trunk/bin/waitprinter.sh (revision 1731)
+++ pykota/trunk/bin/waitprinter.sh (revision 1814)
@@ -22,5 +22,5 @@
 # if it is idle, otherwise we could have problems with slow printers.
 #--------------------------------------------------------------------------
-PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/opt/bin
+PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/opt/bin:/sbin:/usr/sbin
 #--------------------------------------------------------------------------
 LOG_FILE=/var/log/pykota-waitprinter-snmpread.log
Index: pykota/trunk/bin/papwaitprinter.sh
===================================================================
--- pykota/trunk/bin/papwaitprinter.sh (revision 1527)
+++ pykota/trunk/bin/papwaitprinter.sh (revision 1814)
@@ -14,5 +14,5 @@
 # $Id$
 #
-PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/opt/bin
+PATH=$PATH:/bin:/usr/bin:/usr/local/bin:/opt/bin:/sbin:/usr/sbin
 sleep 5;
 until papstatus -p "$1" | grep -i idle >/dev/null ; do 
Index: pykota/trunk/bin/pkhint
===================================================================
--- pykota/trunk/bin/pkhint (revision 1803)
+++ pykota/trunk/bin/pkhint (revision 1814)
@@ -24,4 +24,8 @@
 #
 # $Log$
+# Revision 1.20  2004/10/13 08:09:19  jalet
+# More complete PATH.
+# pkhint doesn't use absolute path to search for helper commands anymore.
+#
 # Revision 1.19  2004/10/11 22:53:05  jalet
 # Postponed string interpolation to help message's output method
@@ -143,13 +147,13 @@
         
 SNMPTESTS = [ \
-              '/usr/bin/npadmin --pagecount %(printer)s 2>/dev/null', \
-              '/usr/bin/snmpget -v1 -c public -Ov %(printer)s mib-2.43.10.2.1.4.1.1 2>/dev/null | cut -f 2,2 -d " "', \
-              '/usr/bin/snmpwalk -v 1 -Cc -c public %(printer)s 2>/dev/null | grep mib-2.43.10.2.1.4.1.1 | cut -d " " -f4', \
-              '/usr/bin/snmpwalk -v 1 -Cc -c public -Ov %(printer)s 2>/dev/null | grep Counter32 | tail -2 | head -1 | cut -d " " -f2', \
+              'npadmin --pagecount %(printer)s 2>/dev/null', \
+              'snmpget -v1 -c public -Ov %(printer)s mib-2.43.10.2.1.4.1.1 2>/dev/null | cut -f 2,2 -d " "', \
+              'snmpwalk -v 1 -Cc -c public %(printer)s 2>/dev/null | grep mib-2.43.10.2.1.4.1.1 | cut -d " " -f4', \
+              'snmpwalk -v 1 -Cc -c public -Ov %(printer)s 2>/dev/null | grep Counter32 | tail -2 | head -1 | cut -d " " -f2', \
             ]
             
 NETPJLTESTS = [ \
                 '/usr/share/pykota/pagecount.pl %(printer)s %(port)s 2>/dev/null', \
-                '/bin/nc -w 2 %(printer)s %(port)s </usr/share/pykota/pagecount.pjl 2>/dev/null | /usr/bin/tail -2', \
+                'nc -w 2 %(printer)s %(port)s </usr/share/pykota/pagecount.pjl 2>/dev/null | tail -2', \
               ]
               
@@ -188,5 +192,5 @@
            WARNING : CUPS ONLY FOR NOW
         """   
-        inp = os.popen("/usr/sbin/lpinfo -v 2>/dev/null")
+        inp = os.popen("lpinfo -v 2>/dev/null")
         deviceslist = [l.strip() for l in inp.readlines()]
         inp.close()
@@ -244,4 +248,5 @@
     def main(self, args, options) :
         """Main work is done here."""
+        os.environ["PATH"] = "%s:/bin:/usr/bin:/usr/local/bin:/opt/bin:/sbin:/usr/sbin" % os.environ.get("PATH", "")
         sys.stderr.write("BEWARE : This tool doesn't support LPRng's printcap files yet.\n")
         print _("\nPlease wait while pkhint analyzes your printing system's configuration...")
@@ -261,5 +266,4 @@
                         hostname = device
                         port = 9100             # TODO : may cause problems with other protocols.
-                        
                         
                     snmpcommand = self.accepts(SNMPTESTS, hostname)
Index: pykota/trunk/bin/autopykota
===================================================================
--- pykota/trunk/bin/autopykota (revision 1803)
+++ pykota/trunk/bin/autopykota (revision 1814)
@@ -24,4 +24,8 @@
 #
 # $Log$
+# Revision 1.7  2004/10/13 08:09:19  jalet
+# More complete PATH.
+# pkhint doesn't use absolute path to search for helper commands anymore.
+#
 # Revision 1.6  2004/10/11 22:53:05  jalet
 # Postponed string interpolation to help message's output method
@@ -93,5 +97,5 @@
     def main(self, arguments, options) :
         """Main entry point."""
-        os.environ["PATH"] = "%s:/bin:/usr/bin:/usr/local/bin:/opt/bin" % os.environ.get("PATH", "")
+        os.environ["PATH"] = "%s:/bin:/usr/bin:/usr/local/bin:/opt/bin:/sbin:/usr/sbin" % os.environ.get("PATH", "")
         username = os.environ.get("PYKOTAUSERNAME")
         printername = os.environ.get("PYKOTAPRINTERNAME")
Index: pykota/trunk/NEWS
===================================================================
--- pykota/trunk/NEWS (revision 1807)
+++ pykota/trunk/NEWS (revision 1814)
@@ -22,4 +22,11 @@
 PyKota NEWS :
 
+    - 1.20alpha25 :
+    
+        - pkhint doesn't use absolute path to search for helper commands
+          anymore.
+          
+        - Spanish translation ready for 1.20.   
+        
     - 1.20alpha24 :
     