Index: pykota/trunk/man/sv/autopykota.1
===================================================================
--- pykota/trunk/man/sv/autopykota.1 (revision 1827)
+++ pykota/trunk/man/sv/autopykota.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH AUTOPYKOTA "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-autopykota \- page de manuel de autopykota 1.20alpha25_unofficial
+autopykota \- page de manuel de autopykota 1.20alpha26_unofficial
 .SH DESCRIPTION
-autopykota v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+autopykota v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to automate user account creation and initial balance setting.
 .PP
Index: pykota/trunk/man/sv/edpykota.1
===================================================================
--- pykota/trunk/man/sv/edpykota.1 (revision 1827)
+++ pykota/trunk/man/sv/edpykota.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH EDPYKOTA "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-edpykota \- page de manuel de edpykota 1.20alpha25_unofficial
+edpykota \- page de manuel de edpykota 1.20alpha26_unofficial
 .SH DESCRIPTION
-edpykota v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+edpykota v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Print Quota editor for PyKota.
 .PP
Index: pykota/trunk/man/sv/pkprinters.1
===================================================================
--- pykota/trunk/man/sv/pkprinters.1 (revision 1827)
+++ pykota/trunk/man/sv/pkprinters.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH PKPRINTERS "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkprinters \- page de manuel de pkprinters 1.20alpha25_unofficial
+pkprinters \- page de manuel de pkprinters 1.20alpha26_unofficial
 .SH DESCRIPTION
-pkprinters v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkprinters v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A Printers Manager for PyKota.
 .PP
@@ -26,7 +26,6 @@
 \fB\-d\fR | \fB\-\-delete\fR
 Deletes printers from the quota storage.
-.TP
-\fB\-D\fR | \fB\-\-description\fR
-Adds a textual description to printers.
+.HP
+\fB\-D\fR | \fB\-\-description\fR d Adds a textual description to printers.
 .TP
 \fB\-c\fR | \fB\-\-charge\fR p[,j]
Index: pykota/trunk/man/sv/pykotme.1
===================================================================
--- pykota/trunk/man/sv/pykotme.1 (revision 1827)
+++ pykota/trunk/man/sv/pykotme.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH PYKOTME "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykotme \- page de manuel de pykotme 1.20alpha25_unofficial
+pykotme \- page de manuel de pykotme 1.20alpha26_unofficial
 .SH DESCRIPTION
-pykotme v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykotme v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Gives print quotes to users.
Index: pykota/trunk/man/sv/pykosd.1
===================================================================
--- pykota/trunk/man/sv/pykosd.1 (revision 1835)
+++ pykota/trunk/man/sv/pykosd.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH PYKOSD "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pykosd \- page de manuel de pykosd 1.20alpha25_unofficial
+pykosd \- page de manuel de pykosd 1.20alpha26_unofficial
 .SH DESCRIPTION
-pykosd v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pykosd v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 An OSD quota monitor for PyKota.
 .PP
Index: pykota/trunk/man/sv/dumpykota.1
===================================================================
--- pykota/trunk/man/sv/dumpykota.1 (revision 1827)
+++ pykota/trunk/man/sv/dumpykota.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH DUMPYKOTA "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-dumpykota \- page de manuel de dumpykota 1.20alpha25_unofficial
+dumpykota \- page de manuel de dumpykota 1.20alpha26_unofficial
 .SH DESCRIPTION
-dumpykota v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+dumpykota v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Dumps PyKota database's content.
Index: pykota/trunk/man/sv/pkhint.1
===================================================================
--- pykota/trunk/man/sv/pkhint.1 (revision 1827)
+++ pykota/trunk/man/sv/pkhint.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH PKHINT "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-pkhint \- page de manuel de pkhint 1.20alpha25_unofficial
+pkhint \- page de manuel de pkhint 1.20alpha26_unofficial
 .SH DESCRIPTION
-pkhint v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+pkhint v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 A tool to give hints on what accounting method is best for each printer.
 .PP
Index: pykota/trunk/man/sv/repykota.1
===================================================================
--- pykota/trunk/man/sv/repykota.1 (revision 1827)
+++ pykota/trunk/man/sv/repykota.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH REPYKOTA "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-repykota \- page de manuel de repykota 1.20alpha25_unofficial
+repykota \- page de manuel de repykota 1.20alpha26_unofficial
 .SH DESCRIPTION
-repykota v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+repykota v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Generates print quota reports.
Index: pykota/trunk/man/sv/warnpykota.1
===================================================================
--- pykota/trunk/man/sv/warnpykota.1 (revision 1827)
+++ pykota/trunk/man/sv/warnpykota.1 (revision 1857)
@@ -2,7 +2,7 @@
 .TH WARNPYKOTA "1" "octobre 2004" "C@LL - Conseil Internet & Logiciels Libres" "User Commands"
 .SH NOM
-warnpykota \- page de manuel de warnpykota 1.20alpha25_unofficial
+warnpykota \- page de manuel de warnpykota 1.20alpha26_unofficial
 .SH DESCRIPTION
-warnpykota v1.20alpha25_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
+warnpykota v1.20alpha26_unofficial (c) 2003-2004 C@LL - Conseil Internet & Logiciels Libres
 .PP
 Sends mail to users over print quota.