Index: /pykota/trunk/conf/pykota.conf.sample
===================================================================
--- /pykota/trunk/conf/pykota.conf.sample (revision 1826)
+++ /pykota/trunk/conf/pykota.conf.sample (revision 1875)
@@ -216,4 +216,14 @@
 # 'Domain2/jerome' and 'jerome' are different. 
 # winbind_separator: /
+
+# Do we want to hide jobs' title, filename and options for privacy
+# reasons ?
+# This may be required in some countries (Italy comes to mind).
+# Allowed values are YES and NO.
+# If unset, the default value is NO, meaning that jobs' title, filename
+# and options will be saved into the history.
+# This option can't be set on a per printer basis, only into the 
+# [global] section.
+privacy : no
 
 # What is the accounting backend to use
Index: /pykota/trunk/pykota/storages/sql.py
===================================================================
--- /pykota/trunk/pykota/storages/sql.py (revision 1806)
+++ /pykota/trunk/pykota/storages/sql.py (revision 1875)
@@ -22,4 +22,8 @@
 #
 # $Log$
+# Revision 1.59  2004/10/25 14:12:25  jalet
+# For URGENT legal reasons (Italy), a new "privacy" directive was added to pykota.conf
+# to hide print jobs' title, filename, and options.
+#
 # Revision 1.58  2004/10/12 08:58:53  jalet
 # Now warnpykota only warns users who have already printed, to not confuse
@@ -483,4 +487,7 @@
     def writeJobNew(self, printer, user, jobid, pagecounter, action, jobsize=None, jobprice=None, filename=None, title=None, copies=None, options=None, clienthost=None, jobsizebytes=None) :
         """Adds a job in a printer's history."""
+        if self.privacy :    
+            # For legal reasons, we want to hide the title, filename and options
+            title = filename = options = "Hidden because of privacy concerns"
         filename = self.userCharsetToDatabase(filename)
         title = self.userCharsetToDatabase(title)
Index: /pykota/trunk/pykota/storages/ldapstorage.py
===================================================================
--- /pykota/trunk/pykota/storages/ldapstorage.py (revision 1874)
+++ /pykota/trunk/pykota/storages/ldapstorage.py (revision 1875)
@@ -22,4 +22,8 @@
 #
 # $Log$
+# Revision 1.86  2004/10/25 14:12:25  jalet
+# For URGENT legal reasons (Italy), a new "privacy" directive was added to pykota.conf
+# to hide print jobs' title, filename, and options.
+#
 # Revision 1.85  2004/10/24 12:55:09  jalet
 # Missing spaces
@@ -1087,4 +1091,7 @@
             uuid = printer.LastJob.ident[3:].split(",")[0]
             dn = printer.LastJob.ident
+        if self.privacy :    
+            # For legal reasons, we want to hide the title, filename and options
+            title = filename = options = "Hidden because of privacy concerns"
         fields = {
                    "objectClass" : ["pykotaObject", "pykotaJob"],
Index: /pykota/trunk/pykota/storage.py
===================================================================
--- /pykota/trunk/pykota/storage.py (revision 1791)
+++ /pykota/trunk/pykota/storage.py (revision 1875)
@@ -22,4 +22,8 @@
 #
 # $Log$
+# Revision 1.65  2004/10/25 14:12:25  jalet
+# For URGENT legal reasons (Italy), a new "privacy" directive was added to pykota.conf
+# to hide print jobs' title, filename, and options.
+#
 # Revision 1.64  2004/10/08 20:19:18  jalet
 # Added ugly workaround for strange locale problem
@@ -550,4 +554,7 @@
         self.usecache = pykotatool.config.getCaching()
         self.disablehistory = pykotatool.config.getDisableHistory()
+        self.privacy = pykotatool.config.getPrivacy()
+        if self.privacy :
+            pykotatool.logdebug("Jobs' title, filename and options will be hidden because of privacy concerns.")
         if self.usecache :
             self.tool.logdebug("Caching enabled.")
Index: /pykota/trunk/pykota/config.py
===================================================================
--- /pykota/trunk/pykota/config.py (revision 1785)
+++ /pykota/trunk/pykota/config.py (revision 1875)
@@ -22,4 +22,8 @@
 #
 # $Log$
+# Revision 1.54  2004/10/25 14:12:25  jalet
+# For URGENT legal reasons (Italy), a new "privacy" directive was added to pykota.conf
+# to hide print jobs' title, filename, and options.
+#
 # Revision 1.53  2004/10/06 10:05:47  jalet
 # Minor changes to allow any PyKota administrator to launch enhanced versions
@@ -524,4 +528,8 @@
             return _("You will soon be forbidden to print anymore because\nyour Print Quota is almost reached on printer %s.") % printername
             
+    def getPrivacy(self) :        
+        """Returns 1 if privacy is activated, else 0."""
+        return self.isTrue(self.getGlobalOption("privacy", ignore=1))
+        
     def getDebug(self) :          
         """Returns 1 if debugging is activated, else 0."""
Index: /pykota/trunk/NEWS
===================================================================
--- /pykota/trunk/NEWS (revision 1868)
+++ /pykota/trunk/NEWS (revision 1875)
@@ -24,4 +24,8 @@
     - 1.20beta :
     
+        - For urgent legal reasons, a "privacy" directive has been added 
+          to pykota.conf, to hide jobs' title, filename and options
+          in the history.
+          
         - Minor changes in the debian directory.
         